package com.bcxin.ars.dto.report;
/**
 * 监督检查（年度报告）
 * <b>Function </b>
 * 
 * @author LinQingLin
 * @date 2017年11月4日 下午2:54:12
 * @注意事项 </b>
 * <b>
 */
public class SupervisionDto {

	/**
	 * 公司id
	 */
	private Long companyId;

	/**
	 * 公司用户id
	 */
	private Long userId;

	/**
	 * 公司名称
	 */
	private String companyName;

	/**
	 * 是否初始化
	 */
	private String init;

	/**
	 * 总人数
	 */
	private Long total;

	/**
	 * 参保人数
	 */
	private Long policyCount;

	/**
	 *  未参保人数
	 */
	private Long unPolicyCount;
	
	/**
	 * 许可备案总数
	 */
	private Long permitCount;

	/**
	 * 任务总数
	 */
	private Long taskCount;

	/**
	 * 周期任务总数
	 */
	private Long cycleTaskCount;

	/**
	 * 临时任务总数
	 */
	private Long temporaryTaskCount;

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getInit() {
		return init;
	}

	public void setInit(String init) {
		this.init = init;
	}

	public Long getTotal() {
		return total;
	}

	public void setTotal(Long total) {
		this.total = total;
	}

	public Long getPolicyCount() {
		return policyCount;
	}

	public void setPolicyCount(Long policyCount) {
		this.policyCount = policyCount;
	}

	public Long getUnPolicyCount() {
		return unPolicyCount;
	}

	public void setUnPolicyCount(Long unPolicyCount) {
		this.unPolicyCount = unPolicyCount;
	}

	public Long getPermitCount() {
		return permitCount;
	}

	public void setPermitCount(Long permitCount) {
		this.permitCount = permitCount;
	}

	public Long getTaskCount() {
		return taskCount;
	}

	public void setTaskCount(Long taskCount) {
		this.taskCount = taskCount;
	}

	public Long getCycleTaskCount() {
		return cycleTaskCount;
	}

	public void setCycleTaskCount(Long cycleTaskCount) {
		this.cycleTaskCount = cycleTaskCount;
	}

	public Long getTemporaryTaskCount() {
		return temporaryTaskCount;
	}

	public void setTemporaryTaskCount(Long temporaryTaskCount) {
		this.temporaryTaskCount = temporaryTaskCount;
	}

}
